Search Starlink Contacts
Search Starlink contacts under your partner account by different criteria.
Required Capabilities
Starlink Viewer
Request
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Search query string.
Filter results by Starlink account reference ID.
Filter results by email address.
Response
A json is returned in the response body with the following fields:
Total number of records found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns records found for the current page of search result.
Show child attributes
Reference ID of the Starlink contact.
Reference ID of the Starlink account the contact belongs to.
First name of the contact.
Last name of the contact.
Email address of the contact.
Phone number of the contact.
Roles assigned to the contact.
BILLING_READ_ONLY— Billing Read OnlySERVICE_ACCOUNT_MANAGEMENT— Service Account ManagementSUPPORT— SupportSUPPORT_READ_ONLY— Support Read OnlyTECHNICAL_CONFIGURATION— Technical ConfigurationTECHNICAL_READ_ONLY— Technical Read Only
Starlink subject ID of the contact. null if not applicable.
Starlink sync information of the contact.
Show child attributes
The sync status of the contact. null if not applicable.
PENDING— The sync is pending.ABORTED— The sync has been aborted.SYNCING— The sync is in progress.SYNCED— The sync has completed.
The number of times the contact sync has been run.
The maximum number of times the contact sync can be run.
The last time the contact was synced. null if not applicable.
Date and time the contact was created.
Username of the user who created the contact.
Email of the user who created the contact. null if not applicable.
Date and time the contact was last updated.
Username of the user who last updated the contact.
Email of the user who last updated the contact. null if not applicable.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/starlink/contacts/search?pageNum=1&pageSize=5' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 1,
"items": [
{
"refId": "237",
"starlinkAccountRefId": "108",
"firstName": "John",
"lastName": "Smith",
"email": "[email protected]",
"phone": "+35521323112",
"roles": ["BILLING_READ_ONLY"],
"starlinkSubjectId": "cf86c4ff-eb39-4781-815b-f14d25dd0151",
"starlinkSync": {
"syncStatus": "SYNCED",
"runCount": 0,
"runCountLimit": 10,
"lastSyncedAt": "2026-03-25T03:30:53.981Z"
},
"createdAt": "2026-03-25T03:30:44.170Z",
"createdBy": "Alice C",
"createdByEmail": "[email protected]",
"updatedAt": "2026-03-25T03:30:55.932Z",
"updatedBy": "System",
"updatedByEmail": null
}
]
}